OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

EnumPropsT< Owner > Struct Template Reference

Define basic enum properties. More...

`#include <company_type.h>`

Inheritance diagram for EnumPropsT< Owner >:

## Additional Inherited Members
Public Types inherited from MakeEnumPropsT< Owner, byte, OWNER_BEGIN, OWNER_END, INVALID_OWNER >
typedef Owner | type
| enum type (i.e. Trackdir)
typedef byte | storage
| storage type (i.e. byte)
Static Public Attributes inherited from MakeEnumPropsT< Owner, byte, OWNER_BEGIN, OWNER_END, INVALID_OWNER >
static const Owner | begin
| lowest valid value (i.e. TRACKDIR_BEGIN)
static const Owner | end
| one after the last valid value (i.e. TRACKDIR_END)
static const Owner | invalid
| what value is used as invalid value (i.e. INVALID_TRACKDIR)
static const uint | num_bits
| Number of bits for storing the enum in command parameters.

## Detailed Description

### template<>
struct EnumPropsT< Owner >

Define basic enum properties.

Definition at line 47 of file company_type.h.

The documentation for this struct was generated from the following file:

- src/company_type.h